      PROGRAM compare
      IMPLICIT NONE
      REAL*8 cmpr, dt, finished, i, t
      i = 0
      cmpr = 1000
      DO WHILE(i .LE. 10000)
         i = i + 1
         IF(i .EQ. cmpr) THEN
            WRITE(*,*) 'first test satisfied'
         END IF
      END DO
      WRITE(*,*) 'finished first loop'
      t = 0
      dt = 0.1D0
      finished = 100
      DO WHILE(t .LT. 1000)
         t = t + dt
         IF(t .EQ. finished) THEN
            WRITE(*,*) 'second test satisfied'
         END IF
      END DO
      WRITE(*,*) 't =', t
      END
